Package edu.msu.cme.rdp.classifier.io

## Class ClassificationResultFormatter

- java.lang.Object
- - edu.msu.cme.rdp.classifier.io.ClassificationResultFormatter

    public class ClassificationResultFormatter
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `ClassificationResultFormatter.FORMAT`

### Field Summary

Fields
`static java.util.List<ClassificationResultFormatter.FORMAT>` `fileFormats`
`static java.lang.String[]` `RANKS`
`static java.lang.String[]` `RANKS_WITHSPECIES`

### Constructor Summary

Constructors
`ClassificationResultFormatter()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `getAllRankOutput​(ClassificationResult result)`
`static java.lang.String` `getAllRankOutput​(ClassificationResult result, double conf)`
`static java.lang.String` `getBiomOutput​(java.lang.String[] ranks, ClassificationResult result, float conf, char delimiter)` Output the classification result suitable to load into biom format.
`static java.lang.String` `getDBOutput​(ClassificationResult result, float conf)`
`static java.lang.String` `getFilterByConfOutput​(ClassificationResult result, float conf)`
`static java.lang.String` `getFilterByConfOutput​(java.lang.String[] ranks, ClassificationResult result, float conf)`
`static java.lang.String` `getFixRankOutput​(ClassificationResult result)`
`static java.lang.String` `getFixRankOutput​(java.lang.String[] ranks, ClassificationResult result)`
`static java.lang.String` `getOutput​(ClassificationResult result, ClassificationResultFormatter.FORMAT format)`
`static java.lang.String` `getOutput​(ClassificationResult result, ClassificationResultFormatter.FORMAT format, float conf, java.lang.String[] ranks)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RANKS

    public static java.lang.String[] RANKS

#### RANKS_WITHSPECIES

    public static java.lang.String[] RANKS_WITHSPECIES

#### fileFormats

    public static final java.util.List<ClassificationResultFormatter.FORMAT> fileFormats

### Constructor Detail

#### ClassificationResultFormatter

    public ClassificationResultFormatter()

### Method Detail

#### getOutput

    public static java.lang.String getOutput​(ClassificationResult result,
                                             ClassificationResultFormatter.FORMAT format)

#### getOutput

    public static java.lang.String getOutput​(ClassificationResult result,
                                             ClassificationResultFormatter.FORMAT format,
                                             float conf,
                                             java.lang.String[] ranks)

#### getAllRankOutput

    public static java.lang.String getAllRankOutput​(ClassificationResult result)

#### getAllRankOutput

    public static java.lang.String getAllRankOutput​(ClassificationResult result,
                                                    double conf)

#### getFixRankOutput

    public static java.lang.String getFixRankOutput​(ClassificationResult result)

#### getFixRankOutput

    public static java.lang.String getFixRankOutput​(java.lang.String[] ranks,
                                                    ClassificationResult result)

#### getFilterByConfOutput

    public static java.lang.String getFilterByConfOutput​(ClassificationResult result,
                                                         float conf)

#### getFilterByConfOutput

    public static java.lang.String getFilterByConfOutput​(java.lang.String[] ranks,
                                                         ClassificationResult result,
                                                         float conf)

#### getBiomOutput

    public static java.lang.String getBiomOutput​(java.lang.String[] ranks,
                                                 ClassificationResult result,
                                                 float conf,
                                                 char delimiter)

Output the classification result suitable to load into biom format. Concatenate the rank and the taxon name, remove quotes in the taxon name

#### getDBOutput

    public static java.lang.String getDBOutput​(ClassificationResult result,
                                               float conf)